Search found 16 matches

by larzon
Mon Jul 11, 2022 10:03 pm
Forum: Python scripting and macros
Topic: Mesh wrong position when creating through API
Replies: 1
Views: 298

Re: Mesh wrong position when creating through API [SOLVED]

After looking for the solution for a while I find the correct solution right after I ask a question here, thought I share what I did. solution: for obj in FreeCAD.ActiveDocument.findObjects("Part::Feature"): mesh = FreeCAD.ActiveDocument.addObject("Mesh::Feature","Mesh"...
by larzon
Mon Jul 11, 2022 9:47 pm
Forum: Python scripting and macros
Topic: Mesh wrong position when creating through API
Replies: 1
Views: 298

Mesh wrong position when creating through API

I have found an issue when I create a mesh from a feature throught the API. If that feature is located as a children to an assembly it ends up at the wrong position, example AssemblyAndSolid.PNG To create Mesh of all Parts I do as follows: for obj in FreeCAD.ActiveDocument.findObjects("Part::Fe...
by larzon
Tue Jun 14, 2022 12:21 pm
Forum: Python scripting and macros
Topic: Find objects in camera FOV and not occluded (Occlusion culling)
Replies: 0
Views: 638

Find objects in camera FOV and not occluded (Occlusion culling)

I'm working on a method to find all objects that are in the cameras FOV and also are not occluded (hidden behind other objects). My idea is to rotate around the assembly to find all objects that fulfills this condition. Anyone that have seen something similar done in freecad?
by larzon
Tue Jun 14, 2022 9:16 am
Forum: Python scripting and macros
Topic: Remove contained geometries
Replies: 4
Views: 887

Re: Remove contained geometries

I'm continuing this path... I'm looking at to take a list of all objects rendered in the 3D-world to find out what objects are visible or not. I have a script that rotates the objects in all angles I need, but I don't know if it is possible to get a array of all objects in each orientation. I was th...
by larzon
Fri Jun 10, 2022 5:37 pm
Forum: Announcements & Features
Topic: [FreeCAD 0.20] a beta release for Windows is available
Replies: 103
Views: 27723

Re: [FreeCAD 0.20] a beta release for Windows is available

Thanks for testning. Is it possible for me to download a version that works? I have several step files almost the same that I could test with to verify if that is of interrest.
by larzon
Fri Jun 10, 2022 2:28 pm
Forum: Announcements & Features
Topic: [FreeCAD 0.20] a beta release for Windows is available
Replies: 103
Views: 27723

Re: [FreeCAD 0.20] a beta release for Windows is available

I think I found an issue with the step import. I isolated it to only have one part in the step-file, but I get the same behavior for several parts in the original step. When you import this step file you get like a big cone drawn from the part. I tested the same step-file in inventor and in another ...
by larzon
Wed Jun 08, 2022 7:08 pm
Forum: Open discussion
Topic: Error in export to glb
Replies: 2
Views: 524

Re: Error in export to glb

Sorry for this, is new to the forum.

Thanks for the reply, I will test the beta version.
by larzon
Wed Jun 08, 2022 11:24 am
Forum: Python scripting and macros
Topic: Find objects in located in the same position
Replies: 8
Views: 842

Re: Find objects in located in the same position

Yes you're right, thanks.

Maybe evaluating what is rendered from different views could be a track to follow.
by larzon
Wed Jun 08, 2022 6:36 am
Forum: Open discussion
Topic: Error in export to glb
Replies: 2
Views: 524

Error in export to glb

I'm using freecad with a script (also tested manually in freecad) to import a step file and export it as a glb file. I have two issues with the exported glb file: 1. It is scaled wrong (1000 times to big) 2. When I import it into my other 3D-software (Visual Components) that has tools for removing h...
by larzon
Wed Jun 08, 2022 5:55 am
Forum: Python scripting and macros
Topic: Find objects in located in the same position
Replies: 8
Views: 842

Re: Find objects in located in the same position

I understood how to take the global position matrix into consideration via getGlobalPlacement(). Continuing on the same path I would like my code to remove hidden objects. With hidden objects I mean objects that can't be viewed from the outside (imagine the piston etc inside of an engine block). My ...